CREATE OR REPLACE VIEW VW_FCO_PI_PENS_RT1 AS
SELECT compania,
       anio,
       mes,
       sucursal,
       '01' || rtrim(ltrim(TO_CHAR(secuencia, '00000'))) ||
       RPAD(razon_social, 150, ' ') || tipo_documento ||
       RPAD(nro_id, 16, ' ') || dv || 'U' || RPAD(sucursal, 10, ' ') ||
       RPAD(nombre_sucursal, 40, ' ') || SUBSTR(periodo, 1, 4) || '-' ||
       SUBSTR(periodo, 5, 2) || SUBSTR(periodo_salud, 1, 4) || '-' ||
       SUBSTR(periodo_salud, 5, 2) || RPAD(nro_radicacion, 10, ' ') ||
       TO_CHAR(SYSDATE, 'YYYY-MM-DD') ||
       rtrim(ltrim(TO_CHAR(nro_pensionados, '0000000'))) ||
       rtrim(ltrim(TO_CHAR(valor_nomina, '000000000000'))) || '1' || operador AS registro1
  FROM fco_pi_pens_rt1

